=== debian/control ===
Source: ags
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper,
               pkg-config,
               liballeg4.4-dev,
               libaldmb1-dev,
               libfreetype6-dev,
               libtheora-dev,
               libvorbis-dev,
               libogg-dev
Standards-Version: 3.9.3
Homepage: https://github.com/adventuregamestudio/ags
Vcs-Git: git://github.com/adventuregamestudio/ags.git
Vcs-Browser: https://github.com/adventuregamestudio/ags

Package: ags
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Adventure Game Studio runtime engine
 AGS is an adventure game engine with many games available.
 .
 Package built on ${buildinfo:Date}
 using git ${buildinfo:Git-Object}.

Package: ags-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
    ags (= ${binary:Version}),
    ${misc:Depends}
Description: Adventure Game Studio runtime engine (debugging symbols)
 AGS is an adventure game engine with many games available.
 .
 This package contains the debugging symbols for ags.
 .
 Package built on ${buildinfo:Date}
 using git ${buildinfo:Git-Object}.
