=== debian/changelog ===
ags (3.30.0-1-maemo1) fremantle; urgency=low

  * against liballegro4.2

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 17 Jan 2014 20:53:14 +0200
