=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
 Build-Depends: debhelper,
                pkg-config,
-               liballeg4.4-dev,
+               liballegro4.2-dev,
                libaldmb1-dev,
                libfreetype6-dev,
                libtheora-dev,
